util.settings

## Class ContextMenuMouseActionArrayProperty

- java.lang.Object
- - util.settings.Property
  - - util.settings.ContextMenuMouseActionArrayProperty

-     public class ContextMenuMouseActionArrayProperty
      extends Property

  An array property that can store ContextMenuMouseActionSetting.
  Since:
    3.3.1
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuMouseActionArrayProperty(PropertyManager manager, java.lang.String key, ContextMenuMouseActionSetting[] defaultSetting)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `ContextMenuMouseActionSetting[]` | `getContextMenuMouseActionArray()`
    `ContextMenuMouseActionSetting[]` | `getDefault()`
    `void` | `setContextMenuMouseActionArray(ContextMenuMouseActionSetting[] array)`

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMenuMouseActionArrayProperty

          public ContextMenuMouseActionArrayProperty(PropertyManager manager,
                                             java.lang.String key,
                                             ContextMenuMouseActionSetting[] defaultSetting)

  - ### Method Detail

    - #### getDefault

          public ContextMenuMouseActionSetting[] getDefault()

    - #### getContextMenuMouseActionArray

          public ContextMenuMouseActionSetting[] getContextMenuMouseActionArray()

    - #### setContextMenuMouseActionArray

          public void setContextMenuMouseActionArray(ContextMenuMouseActionSetting[] array)

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)